- Qt 5.0
- Qt 5.0.0 Reference Documentation

# EventRsvp QML Type

The EventRsvp element contains Rsvp-information of an event. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- organizerEmail : variant
- organizerName : variant
- participationRole : variant
- participationStatus : variant
- responseDate : variant
- responseDeadline : variant
- responseRequirement : variant

## Signals

- onDetailChanged()

## Methods

- bool setValue(field, value)
- variant value(field)

## Detailed Description

EventRsvp detail contains user specific information about calendar event like participation status and role, information about response dates and information about organizer of the event. See more details from the properties themselves and the QOrganizerEventRsvp.

See also QOrganizerEventRsvp.

## Property Documentation

organizerEmail : variant

This property holds organizer's email of the event.

organizerName : variant

This property holds organizer's name of the event.

participationRole : variant

This property holds the calendar user's participation role related to the event. See EventAttendee::participationRole for more details.

See also EventAttendee::participationRole.

participationStatus : variant

This property holds the calendar user's participation status related to the event. See EventAttendee::participationStatus for more details.

See also EventAttendee::participationStatus.

responseDate : variant

This property holds the date when user responded to the event.

responseDeadline : variant

This property holds the last date for responding the event.

responseRequirement : variant

This property holds the response requirement of the event. The value can be one of:

- EventRsvp.ResponseNotRequired
- EventRsvp.ResponseRequired

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.

## Method Documentation

bool setValue(field, value)

See also value() and Detail::setValue.

variant value(field)

See also setValue() and Detail::value.